@layer common {
    .cart-interaction {
        display: flex;
        flex-direction: column;
        gap: 1rem;

        .list {
            display: flex;
            flex-direction: column;
            gap: 1rem;

            .empty-message {
                display: flex;
                padding: 1rem 2rem;
                border-radius: 1rem;
                border: 3px solid var(--neutral-border-color);
                flex-direction: column;
                flex-wrap: nowrap;
                align-items: flex-start;
                gap: .5rem;
                color: var(--neutral-gray-color);

                hr {
                    display: block;
                    width: 100%;
                }

                & > p {
                    margin: 0;
                }

                .menu {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: nowrap;
                    gap: 1rem;

                    .item {
                        text-decoration: none;
                        color: var(--primary-color);

                        &:hover {
                            text-decoration: underline;
                        }
                    }
                }
            }
        }

        .cart-item {
            display: grid;
            grid-template-columns: auto 1fr auto;
            gap: 1.5rem;
            padding: 1rem;
            border: 5px solid var(--neutral-border-color);
            border-radius: 1rem;
            background-color: white;
            align-items: center;
            min-height: 10rem;

            @media screen and (max-width: 576px) {
                grid-template-columns: 1fr;
                text-align: center;
                justify-items: center;
            }

            .image {
                width: 5rem;
                max-height: 8rem;
                object-fit: contain;
            }

            .info {
                display: flex;
                flex-direction: column;
                gap: 0.5rem;
                align-self: stretch;
                justify-content: space-between;
                flex-wrap: nowrap;

                .part {
                    &.top {
                        display: flex;
                        flex-direction: column;
                        flex-wrap: nowrap;
                        gap: .75rem;

                        .title {
                            & > a {
                                color: var(--primary-color);
                                font-size: 1.4rem;
                                text-decoration: none;

                                &:hover {
                                    text-decoration: underline;
                                }
                            }
                        }

                        .price {
                            color: var(--text-color);
                            font-size: 1.1rem;
                        }
                    }

                    &.bottom {
                        display: flex;
                        align-items: center;
                        gap: 3rem;
                        margin-top: 0.5rem;

                        @media screen and (max-width: 576px) {
                            justify-content: center;
                        }

                        .quantity-selector {
                            display: flex;
                            align-items: center;
                            gap: 1rem;
                            border: 3px solid var(--primary-border-color);
                            border-radius: 0.5rem;
                            padding: 0.15rem 0.5rem;
                            background: white;

                            button {
                                background: none;
                                border: none;
                                cursor: pointer;
                                font-size: 1.5rem;
                                color: var(--primary-color);
                                padding: 0 0.5rem;

                                &:hover {
                                    color: var(--cart-action-color);
                                }
                            }

                            .value {
                                font-weight: 600;
                                min-width: 1.5rem;
                                text-align: center;
                                color: var(--neutral-gray-color);
                            }
                        }

                        .delete-button {
                            display: flex;
                            align-items: center;
                            gap: 0.5rem;
                            background: none;
                            border: none;
                            cursor: pointer;
                            color: #8A9295;
                            font-size: 1rem;
                            padding: 0;
                            flex-direction: row;
                            flex-wrap: nowrap;

                            &:hover {
                                color: #ff4d4d;

                                .site-icon {
                                    background-color: #ff4d4d;
                                }
                            }

                            .site-icon {
                                --site-icon-size: 1.2rem;
                                background-color: #8A9295;
                                transform: translateY(-1px);
                            }
                        }
                    }
                }
            }

            .total {
                display: flex;
                flex-direction: column;
                align-items: flex-end;
                gap: 0.25rem;
                align-self: start;

                @media screen and (max-width: 576px) {
                    align-items: center;
                }

                .multiplier {
                    font-weight: bold;
                    font-size: 1.2rem;
                    color: var(--neutral-gray-color);
                }

                .amount {
                    font-size: 1.8rem;
                    font-weight: 500;
                    color: var(--primary-color);
                }
            }
        }

        .total-info {
            display: flex;
            flex-direction: column;
            flex-wrap: nowrap;
            justify-content: flex-start;
            align-items: flex-end;
            gap: 1.6rem;
            color: var(--primary-color);

            .price {
                display: flex;
                flex-direction: row;
                flex-wrap: nowrap;
                justify-content: flex-start;
                align-items: flex-end;
                gap: 0.5rem;

                .text {
                    font-size: 1.4rem;
                }

                .value {
                    font-size: 2rem;
                    line-height: 2.05rem;
                    font-weight: 500;
                }
            }

            .delivery {
                display: flex;
                flex-direction: column;
                flex-wrap: nowrap;
                align-items: flex-end;
                gap: 2rem;

                .delivery-info {
                    display: flex;
                    flex-direction: column;
                    flex-wrap: nowrap;
                    justify-content: flex-start;
                    align-items: flex-end;
                    gap: .5rem;

                    &.free {
                        .main-text {
                            color: #306E02;
                        }

                        .secondary-text {
                            /*color: #306E02;*/

                            .site-icon {
                                background-color: #306E02;
                                /*margin-right: 0.5rem;*/
                            }
                        }
                    }

                    .secondary-text {
                        color: var(--neutral-gray-color);
                    }
                }

                .delivery-link {
                    /*padding-top: 2rem;*/
                }
            }
        }
    }
}